<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.IotDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="iotDeviceResultMap" type="org.springblade.device.entity.IotDevice">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="device_id" property="deviceId"/>
        <result column="device_name" property="deviceName"/>
        <result column="product_id" property="productId"/>
        <result column="device_type" property="deviceType"/>
        <result column="device_install_address" property="deviceInstallAddress"/>
        <result column="imsi" property="imsi"/>
        <result column="device_image" property="deviceImage"/>
        <result column="residential_id" property="residentialId"/>
        <result column="building_id" property="buildingId"/>
        <result column="unit_id" property="unitId"/>
        <result column="floor_id" property="floorId"/>
        <result column="room_id" property="roomId"/>
        <result column="platform" property="platform"/>
    </resultMap>


    <select id="selectIotDevicePage" resultMap="iotDeviceResultMap">
        select * from smart_iot_device where is_deleted = 0
    </select>

</mapper>
